{{ if has "loki" $.Values.apps }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata: 
  name: loki
  namespace: argocd
  labels:
    app: loki
spec:
  project: {{ $.Values.project }}
  source:
    repoURL: https://grafana.github.io/helm-charts
    targetRevision: 3.3.1
    chart: loki
  destination:
    name: {{ $.Values.destination }}
    namespace: lma
  syncPolicy:
    syncOptions:
    - Validate=true
    - CreateNamespace=true
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata: 
  name: promtail
  namespace: argocd
  labels:
    app: promtail
spec:
  project: {{ $.Values.project }}
  source:
    repoURL: https://grafana.github.io/helm-charts
    targetRevision: 6.6.0
    chart: promtail
  destination:
    name: {{ $.Values.destination }}
    namespace: lma
  syncPolicy:
    syncOptions:
    - Validate=true
    - CreateNamespace=true
{{ end }}
